/**
 * DevExtreme (cjs/renovation/utils/dom.js)
 * Version: 24.1.4-build-24196-1937
 * Build date: Sun Jul 14 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.querySelectorInSameDocument = querySelectorInSameDocument;

function querySelectorInSameDocument(el, selector) {
    var _el$getRootNode;
    const root = (null === (_el$getRootNode = el.getRootNode) || void 0 === _el$getRootNode ? void 0 : _el$getRootNode.call(el)) ?? document;
    return root.querySelector(selector)
}
